apiVersion: v1
kind: Service
metadata:
  name: stage-discovery
spec:
  type: LoadBalancer
  selector:
      app: stage-discovery
  ports:
    - name: http
      port: 80
      targetPort: 5000
      nodePort: 30103
      protocol: TCP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: stage-discovery
spec:
  replicas: 1
  selector:
    matchLabels:
      app: stage-discovery
  template:
    metadata:
      labels:
        app: stage-discovery
    spec:
      containers:
      - name: stage-discovery
        image: alexx882/stage-discovery-microservice
        ports:
        - containerPort: 5000